Bug 72645 - ENOMEM messages on console
ENOMEM messages on console
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2002-08-26 07:11 EDT by paulm
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-02-19 11:33:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description paulm 2002-08-26 07:11:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 

Description of problem:
On rare occasion, on several i686 servers, I will see ENONMEM type messages on 
the console, like so:
ENOMEM in do_get_write_access, retrying.
ENOMEM in do_get_write_access, retrying.
ENOMEM in journal_alloc_journal_head, retrying.
journal_write_metadata_buffer: ENOMEM at get_unused_buffer_head, trying again.
There are no known related ill-effects other than the appearence of the 
message. This is happening on 2.4.18-5 (smp) kernel. On all these servers I am 
running ext3 filesystems with the following mount :
 /dev/sda4  /usr2 ext3 noatime,data=journal    1 2

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Additional info:

2.4.18-5 is a noisy kernel. I am guessing this may be part of the "noise", 
especially since there are no apparent side effects. At a minimum I would 
appreciate info on how to hide these messages or divert them to a file so the 
console operators do not see them.
Comment 1 Bill Nottingham 2003-02-19 11:33:26 EST
Please try to reproduce with current errata kernel.

Note You need to log in before you can comment on or make changes to this bug.